	if MBOX=1
Overworld_snare_data
	else
snare_data
	endif
	dw $2204
	dw $43E5
	dw $43D5
	dw $43C3
	dw $43B3
	dw $43A1
	dw $4391

bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7

hihat_freq
	db $FB,$FA

	if MBOX=1
Overworld_voltab_lo
	else
voltab_lo
	endif
	db vol_ovw_1x & 255
	db vol_ovw_q1 & 255
	db vol_ovw_q2 & 255
	db vol_ovw_q3 & 255
	db vol_ovw_q4 & 255

	if MBOX=1
Overworld_voltab_hi
	else
voltab_hi
	endif
	db vol_ovw_1x >> 8
	db vol_ovw_q1 >> 8
	db vol_ovw_q2 >> 8
	db vol_ovw_q3 >> 8
	db vol_ovw_q4 >> 8
	
VT_OVW_1x		= $F0
VT_OVW_q1		= $F1
VT_OVW_q2		= $F2
VT_OVW_q3		= $F3
VT_OVW_q4		= $F4

vol_ovw_default
vol_ovw_1x
	;db 8,8, 0,0, 0,0,0,0
	;db 0,0,0,0, 0,0,0,0
	;db 0,0,0, 0,0,0
	;db 0,0,0, 0,0,0
	;db 0,0,0, 0,0,0
	db 8,8,8,8, 8,8,8,8
	db 7,7,7,7, 7,7,7,7
	db 6,6,6, 6,6,6
	db 5,5,5,5,5,5
	db 5,5,5,5,6,7
	db $80
vol_ovw_q1
	db 6,6,6,6,6, 5,5,5,5,5
	db $80
vol_ovw_q2
	db 5,5,5,5,5, 4,4,4,4,4
	db $80
vol_ovw_q3
	db 4,4,4,4,4, 3,3,3,3,3
	db $80
vol_ovw_q4
	db 3,3,3,3,3, 2,2,2,2,2
	db $80

	if MBOX=1
Overworld_Channel1
	else
Channel1
	endif
	dw pat_ovw_bass_1
	dw pat_ovw_bass_2
	dw pat_ovw_bass_3
	dw pat_ovw_bass_4
	;
	dw 0

	if MBOX=1
Overworld_Channel2
	else
Channel2
	endif
	dw pat_ovw_lead_1
	dw pat_ovw_lead_2
	dw pat_ovw_lead_3
	dw pat_ovw_lead_4
	;dw pat_ovw_quiet
	;
	dw 0

LEN = $40

speed1 = 11
speed2 = 6

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_ovw_quiet
;	db VT_OVW_1x
;	db $E0
;	db LEN+speed1*4
;	db OFF,OFF,OFF,OFF
;	db LEN+speed2*4
;	db OFF,OFF,OFF,OFF
;	db END_MARK

pat_ovw_bass_1
	db bdr,            vib,LEN+speed1*2-7,   D0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,F1,A1,C2,D1,F1,A1,C2
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, F0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2-2, Fi0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   G0
	;
	db bdr,            vib,LEN+speed1*2-7,   G0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, G0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,F1,G1,B1,D1,F1,G1,B1
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, OFF, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   E0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed1*2-7,   C0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, C0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,C1,E1,G1,B1,C1,E1,G1,B1
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, G0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2-2, Gi0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   A0
	;
	db bdr,            vib,LEN+speed1*2-7,   A0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, A0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,Ci1,E1,G1,A1,Ci1,E1,G1,A1
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,        LEN+speed2*2-2,   OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   E0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   F0
	;
	db END_MARK

pat_ovw_bass_2
	db bdr,            vib,LEN+speed1*2-7,   D0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,F1,A1,C2,D1,F1,A1,C2
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, F0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2-2, Fi0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   G0
	;
	db bdr,            vib,LEN+speed1*2-7,   G0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, G0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,F1,G1,B1,D1,F1,G1,B1
	db snr,            vib,LEN+speed1*2-7,   G0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, G0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   F0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, F0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed1*2-7,   E0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, E0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,E1,G1,B1,D1,E1,G1,B1
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,        LEN+speed2*2-2,   OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   D0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   D0
	;
	db bdr,            vib,LEN+speed1*2-7,   Ci0 
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, Ci0, LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,Ci1,E1,G1,A1,Ci1,E1,G1,A1
	db snr,            vib,LEN+speed1*2-7,   D0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   E0
	db snr,            vib,LEN+speed2*2-7-2, E0,  LEN+2, OFF
	;
	db END_MARK

pat_ovw_bass_3
	db bdr,            vib,LEN+speed1*2-7,   D0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,F1,A1,C2,D1,F1,A1,C2
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, F0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2-2, Fi0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   G0
	;
	db bdr,            vib,LEN+speed1*2-7,   G0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, G0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,F1,G1,B1,D1,F1,G1,B1
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,        LEN+speed2*2-2,   OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   C0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed1*2-7,   C0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, C0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,C1,E1,G1,B1,C1
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, G0,  LEN+2, OFF
	db snr,            vib,LEN+speed1*2-7,   A0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   A0
	db hht,LEN+2,0,    vib,LEN+speed1*2-2-2, G0,  LEN+2, OFF
	db hht,LEN+2,0,        LEN+speed2*2-2,   OFF
	;
	db bdr,            vib,LEN+speed1*2-7,   A0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   A0
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   G0 
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   F0
	db snr,                LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   E0 
	db hht,LEN+2,0,        LEN+speed1*2-2,   OFF
	db hht,LEN+2,0,        LEN+speed2*2-2,   OFF
	;
	db END_MARK

pat_ovw_bass_4
	db bdr,            vib,LEN+speed1*2-7,   D0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	db hht,LEN+2,0,    $E0,LEN+4,D1,F1,A1,C2,D1,F1,A1,C2
	db snr,            vib,LEN+speed1*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2,   OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   OFF
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed1*2-7,   D0
	db hht,LEN+2,0,    vib,LEN+speed2*2-2-2, D0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed1*2-2,   A0
	db hht,LEN+2,0,        LEN+speed2*2-2,   OFF
	db snr,            vib,LEN+speed1*2-7,   G0
	db                 vib,LEN+speed2*2,     A0
	db hht,LEN+2,0,        LEN+speed1*2-2,   OFF
	db                     LEN+speed2*2,     OFF
	;
	db bdr,            vib,LEN+speed1*2-7,   C0
	db                 vib,LEN+speed2*2,     C0
	db hht,LEN+2,0,        LEN+speed1*2-2,   OFF
	db                     LEN+speed2*2,     OFF
	db bdr,                LEN+speed1*2-7,   OFF
	db                     LEN+speed2*2,     OFF
	db hht,LEN+2,0,        LEN+speed1*2-2,   OFF
	db                     LEN+speed2*2,     OFF
	;
	db $E0
	db LEN+4 ; 68*2 = 136 frames
	db C1,E1,G1,B1, C1,E1,G1,B1
	db C1,E1,G1,B1, C1,E1,G1,B1
	db C1,E1,G1,B1, C1,E1,G1,B1
	db C1,E1,G1,B1, C1,E1,G1,B1
	db C1,E1
	;
	db END_MARK

pat_ovw_lead_1
	db VT_OVW_1x
	db vib
	db LEN+speed1*2,   C3
	db LEN+speed2*2,   OFF
	db LEN+speed1*2,   C3
	db LEN+speed2*2,   C3
	;
	db LEN+speed1*2-4, C3, LEN+4, OFF
	db LEN+speed2*2-4, C3, LEN+4, OFF
	db LEN+speed1*2-4, C3, LEN+4, OFF
	db LEN+speed2*2,   B2
	;
	db LEN+speed1*2,   OFF
	db LEN+speed2*2,   B2
	db LEN+speed1*2,   B2
	db LEN+speed2*2,   B2
	;
	db $E0, LEN+2,     G2,Gi2
	db vib
	db LEN+speed1*2-6, A2, LEN+2, OFF
	db LEN+speed2*2,   OFF
	db LEN+speed1*2,   G2
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2,   F2
	db LEN+speed2*2,   F2 
	db LEN+speed1*2-2, F2, LEN+2, OFF
	db LEN+speed2*2,   E2
	;
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   E2 
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   E2
	;
	db LEN+speed1*2,   OFF
	db LEN+speed2*2,   OFF
	db LEN+speed1*2,   OFF
	db LEN+speed2*2-4, D2, LEN+4, OFF
	;
	db LEN+speed1*2,   E2 
	db LEN+speed2*2-4, G2, LEN+4, OFF
	db LEN+speed1*2-4, A2, LEN+4, OFF
	db LEN+speed2*2,   OFF
	;
	db END_MARK

pat_ovw_lead_2
	db vib
	db LEN+speed1*2,   C3
	db LEN+speed2*2-4, C3, LEN+4, OFF
	db LEN+speed1*2,   C3
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2-2, C3, LEN+2, OFF
	db LEN+speed2*2,   OFF
	db LEN+speed1*2-2, C3, LEN+2, OFF
	db LEN+speed2*2,   OFF
	;
	db $E0, LEN+2,     B2,C3
	db vib
	db LEN+speed1*2-6, D3, LEN+2, OFF
	db LEN+speed2*2,   OFF
	db LEN+speed1*2,   D3
	db LEN+speed2*2,   D3
	;
	db LEN+speed1*2,   C3
	db LEN+speed2*2,   C3
	db LEN+speed1*2,   D3
	db LEN+speed2*2,   E3
	;
	db LEN+speed1*2,   E3
	db LEN+speed2*2,   E3 
	db LEN+speed1*2,   E3
	db LEN+speed2*2,   E3
	;
	db LEN+speed1*2,   E3
	db LEN+speed2*2,   E3
	db LEN+speed1*2,   OFF
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2,   OFF
	db LEN+speed2*2,   OFF
	db LEN+speed1*2,   E3
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2,   G2
	db LEN+speed2*2,   A2
	db LEN+speed1*2,   B2
	db LEN+speed2*2,   OFF
	db END_MARK

pat_ovw_lead_3
	db vib
	db LEN+speed1*2,   C3
	db LEN+speed2*2,   OFF
	db LEN+speed1*2,   C3
	db LEN+speed2*2,   C3
	;
	db LEN+speed1*2-4, C3, LEN+4, OFF
	db LEN+speed2*2-4, C3, LEN+4, OFF
	db LEN+speed1*2-4, C3, LEN+4, OFF
	db LEN+speed2*2,   B2
	;
	db LEN+speed1*2,   OFF
	db LEN+speed2*2,   B2
	db LEN+speed1*2,   B2
	db LEN+speed2*2,   B2
	;
	db $E0, LEN+2,     G2,Gi2
	db vib
	db LEN+speed1*2-6, A2, LEN+2, OFF
	db LEN+speed2*2,   OFF
	db LEN+speed1*2,   G2
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2,   F2
	db LEN+speed2*2,   F2 
	db LEN+speed1*2-2, F2, LEN+2, OFF
	db LEN+speed2*2,   E2
	;
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   E2 
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   A2
	;
	db LEN+speed1*2,   A2
	db LEN+speed2*2,   A2
	db LEN+speed1*2,   A2
	db LEN+speed2*2,   A2
	;
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   E2
	db LEN+speed1*2,   G2
	db LEN+speed2*2-4, G2, LEN+4, OFF
	;
	db END_MARK

pat_ovw_lead_4
	db VT_OVW_1x
	db vib
	db LEN+speed1*2,   G2
	db LEN+speed2*2,   G2 
	db LEN+speed1*2,   F2
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2,   F2
	db LEN+speed2*2,   F2 
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   OFF
	;
	db $E0, LEN+2,     C2,D2
	db vib
	db LEN+speed1*2-4, E2
	db LEN+speed2*2,   E2
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   E2
	db LEN+speed1*2,   E2
	db LEN+speed2*2,   OFF
	;
	db LEN+speed1*2,   C2
	db LEN+speed2*2,   C2 
	db LEN+speed1*2,   C2
	db LEN+speed2*2,   C2
	;
	db LEN+speed1*2,   C2
	db LEN+speed2*2,   C2 
	db LEN+speed1*2,   C2
	;db LEN+speed2*2,   C2
	db LEN+2, B1,A1,G1,F1,E1,D1
	;
	db VT_OVW_q1
	db $E0
	db LEN+3 ; 68*2 = 136 frames
	db C2,E2,G2,B2, C2,E2,G2,B2
	db C2,E2,G2,B2, C2,E2,G2,B2
	db VT_OVW_q2
	db C2,E2,G2,B2, C2,E2,G2,B2
	db VT_OVW_q3
	db C2,E2,G2,B2, C2,E2,G2,B2
	db VT_OVW_q4
	db C2,E2,G2,B2, C2,E2,G2,B2
	db C2,E2,G2,B2, C2
	db LEN+1 ,OFF
	;
	db END_MARK
;[eof]