	org $1001-2
	dw  $1001
	
	dw nextln,2024	; second word is line number
	db $9E,"4109",0
nextln	db 0,0

clr_ptr = $E0
ptr	= $E2
src	= $E0
dst	= $E2
	
	sei
	sta $FF3F
	jmp start
	
unpack
	include "tomb_comp1_hex.asm"
	include "tomb_comp2_hex.asm"

start
	lda #clear_data & 255
	sta src
	lda #clear_data >> 8
	sta src+1
	;
	ldy #$00
	sty dst
	lda #$F0
	sta dst+1
	;
	ldx #$08
il1	lda (src),y
	sta (dst),y
	iny
	bne il1
	;
	inc src+1
	inc dst+1
	dex
	bpl il1
	;
	lda #$FE
	sta clr_ptr
	lda #$EF
	sta clr_ptr+1
	;
	lda #$D0
	sta $FFFE
	lda #$F7
	sta $FFFF
	;
	ldx #$FF
	lda $FF07
	and #$40
	beq *+4
	ldx #$F8
	stx $FF0B
	ora #$08
	sta $FF07
	cli
	jmp unpack
	
clear_data
	include "clear.asm"

irq
	pha
	txa
	pha
	tya
	pha
	asl $FF09
	;
clr2	lda clr_ptr
	clc
	adc #$02
	sta clr_ptr
	bcc *+4
	inc clr_ptr+1
	;
	ldy #$01
	lda (clr_ptr),y
	tax
	and #$0F
	sta ptr+1
	dey
	lda (clr_ptr),y
	sta ptr
	;
	lda #$A0
	sta (ptr),y
	;
	txa
	and #$0B
	sta ptr+1
	lda $FF19
	and #$7F
	sta (ptr),y
	;
	txa
	bpl clr2
	and #$40
	beq clr1
	;
	dec clr_ptr
	dec clr_ptr
	;
	lda #$0B
	sta $FF06
	;
	inc $E4
	lda $E4
	and #$03
	bne clr1
	;
	lda $FF19
	and #$7F
	sec
	sbc #$10
	bpl *+4
	lda #$00
	sta $FF19
	;
clr1	pla
	tay
	pla
	tax
	pla
	rti
;eof