snare_data
	dw $2204
	dw $43F6
	dw $43C0
	dw $43A0
	dw $4380
	dw $4360
	dw $4351

bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	
voltab_lo
	db vol_1x & 255
	db vol_2x & 255

voltab_hi
	db vol_1x >> 8
	db vol_2x >> 8
	
VT_1x		= $F0
VT_2x		= $F1
	
	;align 256
vol_default
vol_1x
	db 8,8,7,7, 6,6,6,6, 5,5,5,5, 5,5,6,6
	db 7,7,7,7, 6,6,6,6, 5,5,6,7
	db $80
vol_2x
	db 8,8,7,7, 7,7,7,7, 6,6,6,6, 6,6,6,6
	db 5,5,5,5, 5,5,5,5, 4,5,6,7
	db $80

Channel1
	dw pat_bass_1,pat_bass_1a
	dw pat_bass_1,pat_bass_1b
	dw pat_bass_1,pat_bass_1a
	dw pat_bass_1,pat_bass_1b
	dw pat_bass_2,pat_bass_3
	;
	dw 0
	
Channel2
	dw pat_chords_1
	dw pat_chords_1
	dw pat_chords_1
	dw pat_chords_1
	dw pat_chords_2
	;
	dw 0
	
LEN = $40

speed = 7

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_quiet
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK
	
pat_bass_1
	db VT_2x
	db bdr,            vib,LEN+14*2-7-2, F0, LEN+2, OFF
	db VT_1x
	db snr,            vib,LEN+8*2-7-2,  F0, LEN+2, OFF
	db                     LEN+6*2-2,    F0, LEN+2, OFF
	db VT_2x
	db bdr,            vib,LEN+14*2-7-2, F0, LEN+2, OFF
	db VT_1x
	db snr,            vib,LEN+8*2-7-2,  F0, LEN+2, OFF
	;
	db VT_1x
	db                     LEN+6*2,      F0
	db bdr,            vib,LEN+8*2-7-2,  F0, LEN+2, OFF
	;
	db                     LEN+6*2,      F0
	db snr,            vib,LEN+8*2-7-2,  F0, LEN+2, OFF
	;
	db                     LEN+6*2-2,    F0, LEN+2, OFF
	db VT_1x
	db bdr,            vib,LEN+8*2-7-2,  F0, LEN+2, OFF
	db END_MARK

pat_bass_1a
	db                     LEN+6*2-2,    C0, LEN+2, OFF
	db snr,            vib,LEN+8*2-7-2,  D0, LEN+2, OFF
	db                     LEN+6*2-2,    C0, LEN+2, OFF
	db END_MARK

pat_bass_1b
	db                     LEN+6*2-2,    Di1,LEN+2, OFF
	db snr,            vib,LEN+8*2-7-2,  D1, LEN+2, OFF
	db                     LEN+6*2-2,    Di1,LEN+2, OFF
	db END_MARK

pat_bass_2
	db VT_2x
	db bdr,            vib,LEN+14*2-7-2, Di0,LEN+2, OFF
	db VT_1x
	db snr,            vib,LEN+8*2-7-2,  Di0,LEN+2, OFF
	db                     LEN+6*2-2,    Di0,LEN+2, OFF
	db VT_2x
	db bdr,            vib,LEN+14*2-7-2, Di0,LEN+2, OFF
	db VT_1x
	db snr,            vib,LEN+8*2-7-2,  Di0,LEN+2, OFF
	;
	db VT_1x
	db                     LEN+6*2,      Di0
	db bdr,            vib,LEN+8*2-7-2,  Di0,LEN+2, OFF
	;
	db                     LEN+6*2,      Di0
	db snr,            vib,LEN+8*2-7-2,  Di0,LEN+2, OFF
	;
	db                     LEN+6*2-2,    Di0,LEN+2, OFF
	db VT_1x
	db bdr,            vib,LEN+8*2-7-2,  Di0,LEN+2, OFF
	db                     LEN+6*2-2,    Di1,LEN+2, OFF
	db VT_2x
	db snr,            vib,LEN+14*2-7-2, D0, LEN+2, OFF
	db END_MARK

pat_bass_3
	db VT_2x
	db bdr,            vib,LEN+14*2-7-2, Ci0,LEN+2, OFF
	db VT_1x
	db snr,            vib,LEN+8*2-7-2,  Ci0,LEN+2, OFF
	db                     LEN+6*2-2,    Ci0,LEN+2, OFF
	db VT_2x
	db bdr,            vib,LEN+14*2-7-2, Ci0,LEN+2, OFF
	db VT_1x
	db snr,            vib,LEN+8*2-7-2,  Ci0,LEN+2, OFF
	;
	db VT_1x
	db                     LEN+6*2,      Ci0
	db bdr,            vib,LEN+8*2-7-2,  Ci0,LEN+2, OFF
	;
	db                     LEN+6*2,      Gi0
	db VT_1x
	db snr,            vib,LEN+8*2-7-2,  G0, LEN+2, OFF
	;
	db                     LEN+6*2-2,    F0, LEN+2, OFF
	
	db bdr,            vib,LEN+8*2-7-2,  Di0,LEN+2, OFF
	db                     LEN+6*2-2,    Di1,LEN+2, OFF
	db snr,            vib,LEN+8*2-7-2,  E0, LEN+2, OFF
	db                     LEN+6*2-2,    E1, LEN+2, OFF
	db END_MARK
	
pat_chords_1
	db SET_ARP, $38, arp, LEN+14*2-4, A1, LEN+4, OFF
	db                    LEN+14*2-4, A1, LEN+4, OFF
	db SET_ARP, $59, arp, LEN+14*2-4, C2, LEN+4, OFF
	db                    LEN+ 8*2-4, C2, LEN+4, OFF
	db SET_ARP, $5A, arp, LEN+14*2-4, C2, LEN+4, OFF
	db                    LEN+14*2-4, C2, LEN+4, OFF
	db                    LEN+ 6*2-4, C2, LEN+4, OFF
	db SET_ARP, $47, arp, LEN+14*2-4, F2, LEN+4, OFF
	db                    LEN+14*2-4, F2, LEN+4, OFF
	db END_MARK

pat_chords_2
	db SET_ARP, $47, arp, LEN+14*4-4, Di2,LEN+4, OFF
	;
	db $E0,LEN+1
	db Di0,Di1,Di2,Di3,C3
	db Ai2,Gi2,Fi2,E2,D2,C2
	db Ai1,Gi1,Fi1,E1,D1,C1
	db Ai0,Gi0,Fi0,E0,D0,C0
	db LEN+14*4-23, OFF
	;
	db SET_ARP, $59, arp, LEN+14*4-4, Ai1,LEN+4, OFF
	;
	db $E0,LEN+1
	db Di0,Di1,Di2,Di3,C3
	db Ai2,Gi2,Fi2,E2,D2,C2
	db Ai1,Gi1,Fi1,E1,D1,C1
	db Ai0,Gi0,Fi0,E0,D0,C0
	db LEN+14*4-23, OFF
	;
	db SET_ARP, $47, arp, LEN+14*4-4, Ci2,LEN+4, OFF
	db SET_ARP, $46, arp, LEN+14*4-4, Ci2,LEN+4, OFF
	db SET_ARP, $59, arp, LEN+14*4-4, Gi1,LEN+4, OFF
	db SET_ARP, $38, arp, LEN+14*2-4, G1, LEN+4, OFF
	db SET_ARP, $39, arp, LEN+14*2-4, G1, LEN+4, OFF
	
	db END_MARK
;[eof]